QGIS Application - Bug report #2760
SpatiaLite Layers Not Displaying in PPC Mac
2010-05-28 05:43 PM - Darren Kavanagh

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No
Operating System: OS X Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 12820
Description

| have been unable to get [[SpatiaLite]] Layers to display in QGIS. | can
connect and add the layers without any difficulty but the layers do

not display on the map. | have tried both QGIS 1.4 and 1.5 (build
13385) from [[KyngChaos]] with no success. | have also tested with the
[[SpatialLite]] test database, again with no success. When | export my
[[SpatiaLite]] layer to a shape file the layer displays correctly. | using

a [[PowerPC]] mac with OS X 10.5.8

History

#1 - 2010-05-28 08:22 PM - William Kyngesburye

| did verify that it works on Intel.

But indeed, on PPC, no display. | tried selecting and identifying data, that works, assuming you know where the data is to click on it.

... testing with sqlite/spatialite in a Terminal shows that spatialite is not working on the PPC side. So it's not really a Qgis problem. Looks like | need to fix

my Sqlite framework...

#2 - 2010-05-29 07:57 AM - William Kyngesburye

Are you using a G4 or G5 Mac?

After more testing on a few different SQLite framework versions and both a G4 and G5, it looks like it's not working on a G4. Something must be getting

optimized for a G5 in the spatialite code.

#3 - 2010-05-29 08:19 AM - William Kyngesburye

...ugh, | buggered my testing. saptialite framework does work on a G4, and Qgis spatialite does not work on a G5. So we're back to a Qgis problem,

somewhere in the build.

#4 - 2010-05-29 10:04 AM - Darren Kavanagh

| am using a Powerbook with a G4 processor (1.67 GHz)
#5 - 2010-06-05 09:42 PM - William Kyngesburye

I've tracked this down to a problem with Qt Carbon on Leopard. | use Qt Cocoa for Snow Leopard builds and Qt Carbon for Leopard builds. This is
because the ready-made binaries, for some reason, do not include PPC in the Cocoa versions, even though they say they support Leopard. For the older
Qgis 1.4 | used Qt 4.5 Carbon for both Leopard and Snow, and Snow does not have the problem, so it looks like it's the combination of Qt Carbon on
Leopard.

| have no idea if it is possible to work around this in Qgis, it's beyond my skills.

| can build the Leopard Qgis with Qt Cocoa, BUT, that will either take a lot of work compiling Qt Cocoa to include PPC code, or will be Intel-only if | use the
downloadable Qt Cocoa.

#6 - 2010-06-23 07:21 AM - William Kyngesburye

I've added configuration ability for a custom build of Qt in , so a PPC cocoa Qt can be compiled and used. This is a workaround for now. Ultimately,
someone with more Qt/Mac skills needs to figure this out so a Carbon Qt works (or get Nokia to include PPC cocoa, or just wait until PPC Macs are no
longer supported at all).

#7 - 2010-08-12 04:46 PM - William Kyngesburye

So, forgot about this bug report. Recent test on PPC with Qt 4.6 Cocoa (from source): fail. Still no spatialite display. | thought | tested this before (thus the
findings in comment 5).

#8 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#9 - 2012-01-13 08:14 AM - Paolo Cavallini

- Assignee deleted (nobody -)

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Pull Request or Patch supplied set to No
- Status changed from Open to Feedback

Still true? Please check, preferably with a development version, and report back.

#10 - 2012-01-13 03:16 PM - William Kyngesburye
| can't test - no PPC Mac available (well, | could dig up something), and current dev tools don't compile PPC (need to install older tools on old Mac).
I'd say with the current support state of PPC Macs (the last PPC Macs will be officially vintage by the end of August this year) and OS X (10.5is

unsupported and 10.6 requires later PPC Macs minimum), AND that Nokia isn't providing pre-built Mac PPC binaries for Qt any more, supporting PPC in
QGIS should be very low priority if at all. Sure, Macs have a long usable life beyond what's supported and there are a few QGIS users that will gripe...

#11 - 2012-04-16 06:24 AM - Paolo Cavallini
- Target version changed from Version 1.7.4 to Version 1.8.0

#12 - 2012-04-18 04:36 AM - Giovanni Manghi
Can we assume that PPC Mac is no more supported?

#13 - 2012-04-18 06:53 AM - William Kyngesburye

OK with me, | don't do PPC in my builds, Apple hasn't supported them in the OS for almost 3 years and all PPC models are officially vintage now.

#14 - 2012-04-20 09:29 AM - Giovanni Manghi
- Resolution set to wontfix

- Status changed from Feedback to Closed

William Kyngesburye wrote:

OK with me, | don't do PPC in my builds, Apple hasn't supported them in the OS for almost 3 years and all PPC models are officially vintage now.

Closing then.
